DevelopersAPIReferenceapiKeys
List api keys
The keys scripts and integrations use to reach this wallet, without their secrets, which nobody can read back.
GET
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidOldest first
application/json- response
[index: integer]?curl -X GET 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/apiKeys'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "role": "owner", "permissions": [ "assets:read" ], "createdTime": "string", "lastUsedTime": "string" }]